Bug 270311 - Do not automatically change tool chain when changing host in project properties.
Do not automatically change tool chain when changing host in project properties.
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Project
8.1
All All
: P2 (vote)
: 8.2
Assigned To: Vladimir Kvashin
issues@cnd
82patch2-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-05 15:51 UTC by Vladimir Kvashin
Modified: 2017-04-13 14:59 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2017-04-05 15:51:13 UTC
I have a project that I build on 8 different platforms via simple remote (SFTP).
(Sure this is a makefile based project, not a managed one).

So I have many configurations. Each of them has its own tool chain (Studio on Solaris, GNU on Linux, CLang on Mac, etc). These tool chains are not set as default, I explicitly specified what I need for each platform.

From time to time I for some reasons loose some of my setup data (e.g. if I clean userdir or if I switch to another code repo => loose nbprojcet/private). 

After that I see "localhost" in each of my 8 configurations.
That's normal.

But when I change build host to proper one - 
IDE sets tool chain field to the default for this host!
But I carefully filled all 8 configurations with tool chains I need. Explicit, not default ones. And IDE spoils my work again and again.

I can't bear this any more. This should be fixed.

If a tool chain is explicitly set in configuration (i.e. it isn't "default"), then it should not be changed when I change the host.
Comment 1 Vladimir Kvashin 2017-04-05 16:10:38 UTC
I hope nobody minds if I fix it right in this patch. 
I just can not bear this any more.
Comment 2 Vladimir Kvashin 2017-04-06 16:24:15 UTC
fixed, change sets 38f7a5fe6ef4, 024e703cada4 on enum
Comment 3 Quality Engineering 2017-04-11 01:53:40 UTC
Integrated into 'main-silver', will be available in build *201704110002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/d9d613cf7722
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: Fixing #270311 - Do not automatically change tool chain when changing host in project properties:
there was no event sent when changing to localhost
(transplanted from 38f7a5fe6ef4fa499f74455d060bc7258f4504f1)
Comment 4 ilia 2017-04-13 11:07:01 UTC
https://netbeans.org/bugzilla/show_bug.cgi?id=270311 Changesets:
    http://hg.netbeans.org/releases/rev/38f7a5fe6ef4 # Fixing #270311 - Do not automatically change tool chain when changing host in project properties:
    http://hg.netbeans.org/releases/rev/024e703cada4 # Fixing #270311 - Do not automatically change tool chain when changing host in project properties:


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo